Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::TLS::StreamCategory Struct Reference

An error category for errors from the TLS::Stream. More...

`#include <asio_error.h>`

Inheritance diagram for Botan::TLS::StreamCategory:

## Public Member Functions
std::string | message (int value) const override
const char * | name () const noexcept override

## Detailed Description

An error category for errors from the TLS::Stream.

Definition at line 39 of file asio_error.h.

## Member Function Documentation

## ◆ message()

std::string Botan::TLS::StreamCategory::message | ( | int | value | ) | const
| inline override

Definition at line 47 of file asio_error.h.

48 {
49 switch(value)
50 {
51 case StreamTruncated:
52 return "stream truncated";
53 default:
54 return "generic error";
55 }
56 }
Botan::TLS::StreamTruncated
@ StreamTruncated
Definition: asio_error.h:35

References Botan::TLS::StreamTruncated.

## ◆ name()

const char * Botan::TLS::StreamCategory::name | ( |  | ) | const
| inline override noexcept

Definition at line 42 of file asio_error.h.

43 {
44 return "Botan TLS Stream";
45 }

The documentation for this struct was generated from the following file:

- src/lib/tls/asio/asio_error.h